require 'weather-model/version'

module WeatherModel

  Dir[File.dirname(__FILE__) + '/weather-model/*.rb'].each { |file| require file }

  def self.included base
    WeatherModel::SourceSchema.sorts.each { |sort| Object.const_set(sort, Module.new)}
    WeatherModel::SourceSchema.constants.each do |source|
      settings = SourceSchema.const_get(source)
      Object.const_get(settings[:sort]).const_set("#{source.to_s.gsub('_', '::')}", Class.new(Storer::Mysql)).use_settings(settings)
    end 
  end
end
